Subject: Re: nncp-redir

From: Sergey Matveev <[email-masked]>
Date: Wed, 30 Jun 2021 20:25:54 +0300

*** Sergey Matveev [2021-06-30 17:31]:
>I will think about all of it more closely (all of us want simple
>solutions :-)) and if won't come to any conclusions, then will make
>"nncp-redir" utility, that should be dead simple.

Your case is when the node can be reached via multiple routes. I can not
think of anything that won't lead to full-featured routing system, at
least that exists in FTN-like networks. And I do not wish to do that
kind of complicated things. NNCP is by simplicity design uses static
manually setup routes. Multiple recipients won't help there: it could
help, with transitional packet inside, only if there is not more than
one hop between. So I have got no thoughts how can simply and
beautifully solve you case. It is too complicated for NNCP, as well as
UUCP too.

I will write nncp-trns (transition, that "trns" is already used in many
places in NNCP) utility for wrapping/redirecting packets through another
node(s).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF